<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+----------------------------------------------------------*/
if (!defined("IN_FUSION")) exit;
// Wieviele Artikel listen? / How many articles list?
define("ITEMS_PER_PAGE", 8);
// Artikelliste  / Articles list
define("ARTICLES_LIST",true);
// 2 spaltig / 2 cols
define("CAT_COLS",true);  
// true = don't display left panels
define("LEFT_OFF",false); 	
// true = don't display right panels
define("RIGHT_OFF",false); 			


// WITHOUT ANY IDS
function articles_header($mdata,$ndata,$allnum) {
global $locale,$tpl;

opentable($locale['articles400']);
if ($allnum>0) {
echo '<table border="0" cellpadding="0" cellspacing="1" width="100%" class="tbl-border">
<tr><td class="tbl2" valign="middle"><img src="'.THEME.'images/articles.gif" border="0" alt="" /></td>
<td width="100%" align="left" class="tbl1">
<span class="small">'.$locale['articles404'].' <strong>'.$allnum.'</strong></span><br />
<span class="small">'.$locale['articles405'].' '.($ndata == '' ? '' : '<a href="'.$tpl->url(SEO_ARTICLE,FUSION_SELF,"id=",$ndata['article_id'],null,null,$ndata['article_subject']).'" title="'.$ndata['article_subject'].'"><strong>'.trimlink($ndata['article_subject'], 100).'</strong></a>').' ['.($ndata == '' ? '0' : $ndata['article_reads']).']</span><br />
<span class="small">'.$locale['articles406'].' '.($mdata == '' ? '' : '<a href="'.$tpl->url(SEO_ARTICLE,'articles.php',"id=",$mdata['article_id'],null,null,$mdata['article_subject']).'" title="'.$mdata['article_subject'].'"><strong>'.trimlink($mdata['article_subject'], 100).'</strong></a>').' ['.($mdata == '' ? '0' : $mdata['article_reads']).']</span><br />
</td></tr></table>
<div style="height:2px;width:100%" /></div>
<table cellpadding="0" cellspacing="1" width="100%" class="tbl-border">';
} else {
	echo '<center><br />'.$locale['articles401'].'<br /><br /></center>';
}
}

// Listen der Artikel / Listing of the articles 
function articles_article($adata) {
		global $tpl;
	return '<img src="'.THEME.'images/bullet.gif" alt="'.$adata['article_subject'].'" title="'.$adata['article_subject'].'" /> <a href="'.$tpl->url(SEO_ARTICLE,'articles.php',"id=",$adata['article_id'],null,null,$adata['article_subject'],null,"_").'" '.wztool(wztooltip(nl2br($adata['article_snippet']),250), wztooltip($adata['article_subject'],40),300).')" onmouseout="UnTip()">'.$adata['article_subject'].'</a> ('.showdate('shortdate', $adata['article_datestamp']).')<br />';
} 

// Listen der Articlekategorieren / Listing of the article categories
function articles_content($adata,$tplarr) {
		global $settings,$locale,$articles_per_page,$i,$cols,$rows2,$tpl;
		$tbl_class= $i%2==0 ? "tbl1" : "tbl2";	
		
		$colspan="";
		
	if ((bool)CAT_COLS) {
		$catrows = ($rows2<2) ? $rows2 : 2;
		if ($cols==$catrows) {$cols=0;}
		if (is_float($rows2/$catrows)) {$colspan = ' colspan="'.$catrows.'"';$cols=1;$tbl_class='tbl2';$width='100%';}
				
		if ($cols==0) {echo '<tr class="'.$tbl_class.'">';}
		$width=(100/$catrows)."%";	
	} else {
	echo '<tr>';
	$width="40%";
	}
	
	echo '<td class="'.$tbl_class.'" valign="top" width="'.$width.'"'.$colspan.'><a href="'.$tpl->url(SEO_ARTICLE_CAT,'articles.php',"cat_id=",$adata['article_cat_id'],null,null,$adata['article_cat_name']).'"><strong>'.$adata['article_cat_name'].'</strong></a> <span class="small2">('.$adata['articles'].')</span>';
	if ($adata['article_cat_description']!='' && (!(bool)CAT_COLS || (bool)CAT_COLS && !(bool)ARTICLES_LIST)) echo '<span class="small"><br />'.$adata['article_cat_description'].'</span>';
	if ((bool)ARTICLES_LIST && !(bool)CAT_COLS) {
    echo '</td><td class="'.$tbl_class.'" valign="top">'.$tplarr['ARTICLE'];
	if ($adata['articles']>$articles_per_page) {
		echo '<br /><a href="'.$tpl->url(SEO_ARTICLE_CAT,'articles.php',"cat_id=",$adata['article_cat_id'],null,null,$adata['article_cat_name']).'"><small><em>'.strtolower($locale['newscats405']).'...</em></small></a></td>'."\n";	
		}
	} 
	
	if ((bool)ARTICLES_LIST && (bool)CAT_COLS) {
    echo '<div width="100%"><hr>'.$tplarr['ARTICLE'];
	if ($adata['articles']>$articles_per_page) {
		echo '<br /><a href="'.$tpl->url(SEO_ARTICLE_CAT,'articles.php',"cat_id=",$adata['article_cat_id'],null,null,$adata['article_cat_name'],null,"_").'"><small><em>'.strtolower($locale['newscats405']).'...</em></small></a>';	
		}
	echo "</div><br /></td>\n";	
	}
	
	if ((bool)CAT_COLS) {
		if (is_float($rows2/$catrows)) {$rows2--;$i++;}
		if ($cols==1) {echo '</tr><tr><td colspan="2"></td></tr>';$cols=0;$i++;}
		else {$cols++;}
		
	} else {
	echo "</tr>\n";	
	$i++;
	}	
} 

function articles_footer() {
		global $settings,$locale,$db_prefix,$userdata,$theme_width_r,$rows,$aidlink;
if ($rows>0) echo '</table>';		
closetable();	
}
// END

// WIDTH CAT ID
function article_cat_header($cdata) {
	global $locale,$aidlink,$tpl;
	echo "<div class='pagination'><a href='".$tpl->url(SEO_ARTICLE,'articles.php')."'><strong>".$locale['articles400']."</strong></a> &gt; ".$cdata['article_cat_name']."</div>";
	opentable($locale['007'].": ".$cdata['article_cat_name']." (".$cdata['articles'].")");
	echo $cdata['article_cat_image']!='' && file_exists(IMAGES_AC.$cdata['article_cat_image']) ? '<img src="'.IMAGES_AC.$cdata['article_cat_image'].'" style="vertical-align:middle;margin-right:2px;padding-left:1px;margin-bottom:3px; border:0px;" alt="'.$cdata['article_cat_name'].'" title="'.$cdata['article_cat_name'].'" align="left">':'';
	if ($cdata['article_cat_description']!='') echo '<div class="small">'.$cdata['article_cat_description'].'<br /><br /></div>';
	echo '<table cellpadding="0" cellspacing="1" width="100%" class="tbl-border">
<tr>
<th class="capmain" width="70%">'.$locale['articles400'].'</th>
<th class="capmain" width="10%">'.$locale['199'].'</th>
<th class="capmain" width="10%">'.$locale['044'].'</th>
<th class="capmain" width="10%">'.$locale['043'].'</th>
</tr>';
}

function article_cat_articles($data) {
	global $locale,$userdata,$i,$tpl,$settings;
	if ($i%2==0) $tbl_class="tbl1"; else $tbl_class="tbl2";
	echo '<tr>
<td class="'.$tbl_class.'"><a href="'.$tpl->url(SEO_ARTICLE,'articles.php',"id=",$data['article_id'],null,null,$data['article_subject']).'"><b>'.$data['article_subject'].'</b></a>'.($data['article_datestamp']+604800 > time()+($settings['timeoffset']*3600) ? '&nbsp;<span class="small">('.$locale['articles402'].')</span>' : '').($data['article_snippet']!='' ? '<br />'.trimlink(strip_tags(stripslashes($data['article_snippet'])),200) : '').'</td>
<td class="'.$tbl_class.'" align="center">'.showdate('shortdate',$data['article_datestamp']).'</td>
<td class="'.$tbl_class.'" align="center">'.$data['article_reads'].'</td>
<td class="'.$tbl_class.'" align="center">'.$data['article_comments'].'</td>
</tr>';
}

function article_cat_footer($cdata,$rows) {
	global $locale,$rowstart,$articles_per_page,$tpl;
	
echo "</table>";
	if ($rows > $articles_per_page) echo '<div align="center" style="margin-top:5px;">'.makePageNav($rowstart,$articles_per_page,$rows,3,$tpl->url(SEO_ARTICLE_CAT,'articles.php',"cat_id=",$cdata['article_cat_id'],null,null,$cdata['article_cat_name']).'&amp;').'</div>';
closetable();
}
// END

// WIDTH ARTICLE ID
function article($adata) {
	global $settings,$locale,$rowstart,$rows,$pagecount,$article,$theme_width_l,$aidlink,$tpl;

echo '<div class="pagination"><a href="'.$tpl->url(SEO_ARTICLE,'articles.php').'"><strong>'.$locale['articles400'].'</strong></a> &gt; <a href="'.$tpl->url(SEO_ARTICLE_CAT,'articles.php',"cat_id=",$adata['article_cat'],null,null,$adata['article_cat_name']).'"><strong>'.$adata['article_cat_name'].'</strong></a> &gt; '.$adata['article_subject'].'</div>';
opentable($adata['article_subject']);
if (count($article)>0 && isset($article[$rowstart])) {
		$article[$rowstart] = strpos($article[$rowstart],"<br />",0)==2 ? substr($article[$rowstart],8) : $article[$rowstart];
		echo $adata['article_breaks']=='y' ? nl2br(trim($article[$rowstart])) : trim($article[$rowstart]); 
		}
else {
		echo $adata['article_breaks']=='y' ? nl2br($article[0]) : $article[0];
	 }	 
echo '</td>'."<td class='side-right-panel'><img src='".THEME."images/blank.gif' width='5' height='1' alt='' style='display:block'></td>".'</tr>
<tr>'."<td class='side-left-panel'><img src='".THEME."images/blank.gif' width='5' height='1' alt='' style='display:block'></td>".'<td class="footer" nowrap="nowrap">
   <table border="0" cellspacing="0" cellpadding="0" width="100%"><tr><td>';
	echo '<img src="'.THEME.'images/bullet.gif" alt="" /> '.$locale['040'];
	if (!iGUEST) echo '<a href="'.$tpl->url("profil","profile.php","lookup=",$adata['article_name'],null,null,$adata['user_name']).'">'.$adata['user_name'].'</a>';  else echo $adata['user_name'];
	echo $locale['041'].showdate("longdate", $adata['article_datestamp']);
	if ($adata['article_allow_comments']) echo ' &middot; '.$adata['article_comments'].$locale['043'];
	echo ' &middot; '.$adata['article_reads'].$locale['044'];
	echo '</td><td align="right"><a href="'.BASEDIR.'print.php?type=A&amp;item_id='.$adata['article_id'].'"><img src="'.THEME.'images/printer.gif" alt="'.$locale['045'].'" style="vertical-align:middle;border:0px;"></a>';
	if (iADMIN && checkrights('A')) echo '&nbsp;&nbsp;<a href="'.ADMIN.'articles.php'.$aidlink.'&amp;article_id='.$adata['article_id'].'&amp;action=edit"><img src="'.IMAGES.'edit.gif" alt="'.$locale['048'].'" title="'.$locale['048'].'" style="vertical-align:middle;border:0px;"></a>';
echo '</td></tr></table>';			
closetable();

if (count($article) > 1) {
			$rows = $pagecount;
			echo makePageNav($rowstart,1,$rows,3,$tpl->url(SEO_ARTICLE,'articles.php',"id=",$adata['article_id'],null,null,$adata['article_subject']).'&amp;');
		}
if ((bool)$adata['article_allow_comments']) showcomments("A","articles","article_id",$adata['article_id'],$tpl->url(SEO_ARTICLE,'articles.php',"id=",$adata['article_id'],null,null,$adata['article_subject']));
		if ((bool)$adata['article_allow_ratings']) showratings("A",$adata['article_id'],$tpl->url(SEO_ARTICLE,'articles.php',"id=",$adata['article_id'],null,null,$adata['article_subject']));		
}	
// END	
?>