<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+----------------------------------------------------------*/
if (!defined("IN_FUSION")) exit;
// Wieviele Faq's listen? / How many faq's list?
define("ITEMS_PER_PAGE", 15);
// FAQ liste  / FAQ list
define("FAQ_LIST",true);
// 2 spaltig / 2 cols
define("CAT_COLS",false);  
// true = don't display left panels
define("LEFT_OFF",false); 	
// true = don't display right panels
define("RIGHT_OFF",false); 			

// FAQ's bersicht / FAQ's overview (Keine bergabe der cat_id)
function faqs_header() {
	global $locale,$rows;

opentable($locale['faq400']);
if ($rows>0) {
// Wenn FAQ's vorhanden dann diese Ausgabe	
echo '
<table cellpadding="0" cellspacing="1" width="100%" class="tbl-border">
';
} 
else { 
// Wenn keine Faqs vorhanden dann diese Ausgabe
echo '<center>'.$locale['faq410']."</center>";
}

}

// Ausgabe der FAQ Fragen mit Tooltip auf die Antwort
function faqs_faq($faqdata) {
	return '
<img src="'.THEME.'images/bullet.gif" alt="'.$faqdata['faq_question'].'" title="'.$faqdata['faq_question'].'" /> <a href="'.FUSION_SELF.'?cat_id='.$faqdata['faq_cat_id'].'#faq'.$faqdata['faq_id'].'" style="cursor:pointer;" '.wztool(wztooltip(nl2br($faqdata['faq_answer']),100,'<br>'),wztooltip($faqdata['faq_question'],40),300).')" onmouseout="UnTip()">'.trimlink($faqdata['faq_question'],40).'</a><br />
';
}
 
function faqs_content($data,$tplarr) {
		global $locale,$faq_per_page,$i,$cols,$rows2;
		$tbl_class= $i%2==0 ? "tbl1" : "tbl2";	
		$colspan="";
	
	// Wenn 2spaltig an dann	
	if ((bool)CAT_COLS) {
		$catrows = ($rows2<2) ? $rows2 : 2;
		if ($cols==$catrows) {$cols=0;}if (is_float($rows2/$catrows)) {$colspan = ' colspan="'.$catrows.'"';$cols=1;$tbl_class='tbl2';$width='100%';}
		if ($cols==0) {
			// Ausgabe
			echo '<tr class="'.$tbl_class.'">';
		}
		$width=(100/$catrows)."%";	
	} 
	// Wenn 2spaltig aus dann
	else {
	echo '<tr>';
	$width="40%";
	}
	// Ausgabe der FAQ Kategorien
echo '
<td class="'.$tbl_class.'" valign="top" width="'.$width.'"'.$colspan.'><a href="'.BASEDIR.FUSION_SELF.'?cat_id='.$data['faq_cat_id'].'"><strong>'.$data['faq_cat_name'].'</strong></a> <span class="small2">('.$data['faqs'].')</span>';
	/**
	 *  Wenn Kategoriebeschreibung nicht leer und 2spaltig aus
	 *  oder
	 *  Wenn 2spaltig aus und FAQ's listen aus
	*/
	if ($data['faq_cat_description']!='' && (!(bool)CAT_COLS || (bool)CAT_COLS && !(bool)FAQ_LIST)) { 
	//Ausgabe
	echo '<span class="small"><br />'.$data['faq_cat_description'].'</span>
';
	}
	
	// Wenn FAQ's listen an und 2spaltig aus
	if ((bool)FAQ_LIST && !(bool)CAT_COLS) {
    echo '
	</td>
	<td class="'.$tbl_class.'" valign="top">';
	echo $tplarr['FAQS'];
	
	// Wenn mehr FAQ's vorhanden als Anzeige pro Seite dann
	if ($data['faqs']>$faq_per_page) {
		echo '
		<br /><a href="'.BASEDIR.FUSION_SELF.'?cat_id='.$data['faq_cat_id'].'"><small><em>'.strtolower($locale['newscats405']).'...</em></small></a></td>
		'."\n";	
		}
	} 
	
	// Wenn FAQ's listen an und 2spaltig an
	if ((bool)FAQ_LIST && (bool)CAT_COLS) {
    echo '<div width="100%"><hr>'.$tplarr['FAQS'];
	
	// Wenn mehr FAQ's als Anzeige pro Seite
	if ($data['faqs']>$faq_per_page) {
		echo '<br /><a href="'.BASEDIR.FUSION_SELF.'?cat_id='.$data['faq_cat_id'].'"><small><em>'.strtolower($locale['newscats405']).'...</em></small></a>';	
		}
	echo "</div><br /></td>\n";	
	}
	
	// Wenn 2spaltig an
	if ((bool)CAT_COLS) {
		if (is_float($rows2/$catrows)) {$rows2--;$i++;}
		if ($cols==1) {echo '</tr><tr><td colspan="2"></td></tr>';$cols=0;$i++;}
		else {$cols++;}
		
	} 
	// Wenn 2spaltig aus
	else {
	echo '</tr>'."\n";	
	$i++;
	}	
} 


function faqs_footer() {
global $rows;	
// Wenn FAQ's vorhanden sind 
if ($rows>0) echo '</table>';	

// Schlieen der Haupttabelle
closetable();
}
// Ende der FAQ bersicht

// Starten der FAQ-Kategorieausgabe
function faq_answers($faqdata) {
	// bergabe der Antwortenausgabe
	global $locale;
	return '
	<div style="height:2px;width:100%"><a name="faq'.$faqdata['faq_id'].'"></a></div>
<table class="tbl-border" cellspacing="1" cellpadding="0" width="100%">
<tr><td class="tbl1"><strong>'.$faqdata['faq_question'].'</strong></td>
<td align="right" class="tbl1" width="1%"><a href="'.BASEURL.FUSION_SELF.(FUSION_QUERY!='' ? '?'.FUSION_QUERY : '').'#top"><img src="'.THEME.'images/up.gif" alt="'.$locale['008'].'" title="'.$locale['008'].'" border="0"></a></td></tr>
<tr><td class="tbl2" colspan="2">'.nl2br(stripslashes($faqdata['faq_answer'])).'</td></tr></table>
<div style="height:10px;width:100%"></div>
';
}

// Ausgabe der FAQ
function faq($fdata,$faq_questions,$faq_answers) {
	global $locale,$settings,$rows,$numrows,$rowstart,$faq_per_page;
echo '<div class="pagination"><a href="'.BASEURL.FUSION_SELF.'"><strong>'.$locale['faq400'].'</strong></a> &gt; '.$fdata['faq_cat_name'].'<a name="top"></a></div>';  
opentable($locale['007'].": ".$fdata['faq_cat_name']);
	
	// Ausgabe der Fragen als Index
	if ($rows>0) {
		foreach($faq_questions as $question) {
			$val = explode("|",$question);
			if (count($val)==2) {
			// val[0] = FAQ-ID
			// val[1] = FAQ-Frage	
			echo '<img src="'.THEME.'images/bullet.gif" alt="" border="0" /> <a href="'.BASEURL.FUSION_SELF.(FUSION_QUERY!='' ? '?'.FUSION_QUERY : '').'#faq'.$val[0].'"><strong>'.$val[1].'</strong></a>
	<div style="height:2px;width:100%"></div>';
			}
		}
	}
	
	// Ausgabe der Antworten
	echo $faq_answers;	
closetable();

// Wenn mehr FAQ's als Anzeige pro Anzeige
 if ($rows > $faq_per_page) echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,$faq_per_page,$rows,3,BASEURL.FUSION_SELF."?cat_id=".$fdata['faq_cat_id']."&amp;")."\n</div>\n";
}
// Ende der FAQ Ausgabe

?>	