<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+----------------------------------------------------------*/
if (!defined("IN_FUSION")) exit;
// Wieviele News listen? / How many News list?
define("ITEMS_PER_PAGE", 15);
// Wieviele News auf der Startseite
define("NEWS_IN_FRONT",5);
// Newsliste  / News list
define("NEWS_LIST",true);
// 2 spaltig / 2 cols
define("CAT_COLS",false);  
// Kategoriebild anzeigen
define("SHOW_CAT_IMAGE",true);
// true = don't display left panels
define("LEFT_OFF",false); 	
// true = don't display right panels
define("RIGHT_OFF",false);
		

// Newskategorien und News Anzeige (news_cats.php)
function all_news_cat_header($mdata,$ndata,$all_news) {
	global $locale,$tpl;
opentable($locale['newscats400']);	
if ($all_news>0) {
echo '<table border="0" cellpadding="0" cellspacing="1" width="100%" class="tbl-border">
<tr><td class="tbl2" valign="middle"><img src="'.THEME.'images/news_cats.gif" border="0" alt="" /></td>
<td width="100%" align="left" class="tbl1">
<span class="small">'.$locale['newscats409'].'<strong>'.$all_news.'</strong></span><br />
<span class="small">'.$locale['newscats410'].($ndata == '' ? '' : '<a href="'.$tpl->url(SEO_NEWS,'news.php',"readmore=",$ndata['news_id'],null,null,$ndata['news_subject']).'" title="'.$ndata['news_subject'].'"><strong>'.trimlink($ndata['news_subject'], 100).'</strong></a>').' ['.($ndata == '' ? '0' : $ndata['news_reads']).']</span><br />
<span class="small">'.$locale['newscats411'].($mdata == '' ? '' : '<a href="'.$tpl->url(SEO_NEWS,'news.php',"readmore=",$mdata['news_id'],null,null,$mdata['news_subject']).'" title="'.$mdata['news_subject'].'"><strong>'.trimlink($mdata['news_subject'], 100).'</strong></a>').' ['.($mdata == '' ? '0' : $mdata['news_reads']).']</span><br />
</td></tr></table>
<div style="height:2px;width:100%" /></div>
<table cellpadding="0" cellspacing="1" width="100%" class="tbl-border">';
} else {
	echo '<center><br />'.$locale['newscats407'].'<br /><br /></center>';
}	
}

function news_news($data) {
	global $tpl;
	$news_news = $data['news_breaks']=='y'?nl2br(stripslash($data['news_news'])):stripslashes($data['news_news']);
	return '<img src="'.THEME.'images/bullet.gif" alt="'.$data['news_subject'].'" title="'.$data['news_subject'].'" /> <a href="'.$tpl->url(SEO_NEWS,'news.php',"readmore=",$data['news_id'],null,null,$data['news_subject']).'" '.wztool(wztooltip($news_news,250), wztooltip($data['news_subject'],40),300).')" onmouseout="UnTip()">'.$data['news_subject'].'</a> ('.showdate('shortdate', $data['news_datestamp']).')<br />';
}

function news_content($data,$tplarr) {
		global $settings,$locale,$news_per_page,$i,$j,$cols,$all_news,$tpl;
		$tbl_class= $i%2==0 ? "tbl1" : "tbl2";	
		$colspan="";$j++;
		if ($data['news_cat_image'] && file_exists(IMAGES_NC.$data['news_cat_image'])) {
			$get_img = getimagesize(IMAGES_NC.$data['news_cat_image']);
			$img_width = $get_img[0];
			$img_height = $get_img[1];
			$img_style = 'width:'.$img_width.';height:'.$img_height.';border:0px;margin-top:3px;margin-right:5px;margin-left:0px;vertical-align:middle;';
				$news_cat_image = (CAT_COLS ? '<center>':'').'<a href="'.$tpl->url(SEO_NEWS_CAT,'news_cats.php','cat_id=',$data['news_cat_id'],null,null,$data['news_cat_name']).'"><img style="'.$img_style.'" src="'.IMAGES_NC.$data['news_cat_image'].'" alt="'.$data['news_cat_name'].'"></a><br clear="all" /><br />
				<strong>'.$locale['007'].'</strong> '.$data['news_cat_name'].'<br />
				<strong>'.$locale['newscats409'].'</strong> '.$data['news'].
				(CAT_COLS ? '</center>':'');
			} else {
				$news_cat_image = "";
			}
		
	if ((bool)CAT_COLS) {
		$catrows = ($all_news<2) ? $all_news : 2;
		if ($cols==$catrows) {$cols=0;}
		if (is_float($all_news/$catrows)) {$colspan = ' colspan="'.$catrows.'"';$cols=1;$tbl_class='tbl2';$width='100%';}
				
		if ($cols==0) {echo '<tr class="'.$tbl_class.'">';}
		$width=(100/$catrows)."%";	
	} else {
	echo '<tr>';
	$width="40%";
	}
	
	echo '<td class="'.$tbl_class.'" valign="top" width="'.$width.'"'.$colspan.'>'.((!CAT_COLS && NEWS_LIST || CAT_COLS && !NEWS_LIST || CAT_COLS && NEWS_LIST) && SHOW_CAT_IMAGE && $news_cat_image!='' ? $news_cat_image : '<a href="'.$tpl->url(SEO_NEWS_CAT,FUSION_SELF,"cat_id=",$data['news_cat_id'],null,null,$data['news_cat_name']).'"><strong>'.$data['news_cat_name'].'</strong></a> <span class="small2">('.$data['news'].')</span>');
	if (!SHOW_CAT_IMAGE || SHOW_CAT_IMAGE && !NEWS_LIST && !CAT_COLS)
	if ($data['news_cat_description']!='' && (!(bool)CAT_COLS || (bool)CAT_COLS && !(bool)NEWS_LIST)) echo '<span class="small"><br />'.$data['news_cat_description'].'</span>';
	
	if ((bool)NEWS_LIST && !(bool)CAT_COLS) {
    echo '</td><td class="'.$tbl_class.'" valign="top">'.$tplarr['NEWS'];
	if ($data['news']>$news_per_page) {
		echo '<br /><a href="'.$tpl->url(SEO_NEWS_CAT,FUSION_SELF,"cat_id=",$data['news_cat_id'],null,null,$data['news_cat_name']).'"><small><em>'.strtolower($locale['newscats405']).'...</em></small></a></td>'."\n";	
		}
	} 
	
	if ((bool)NEWS_LIST && (bool)CAT_COLS) {
    echo '<div width="100%"><hr>'.$tplarr['NEWS'];
	if ($data['news']>$news_per_page) {
		echo '<br /><a href="'.$tpl->url(SEO_NEWS_CAT,FUSION_SELF,"cat_id=",$data['news_cat_id'],null,null,$data['news_cat_name'],null,"_").'"><small><em>'.strtolower($locale['newscats405']).'...</em></small></a>';	
		}
	echo "</div><br /></td>\n";	
	}
	
	if ((bool)CAT_COLS) {
		if (is_float($all_news/$catrows)) {$all_news--;$i++;}
		if ($cols==1) {echo '</tr>';
				if ($j<$all_news) 
				echo '<tr><td colspan="2"></td></tr>';
	 			$cols=0;$i++;
		 }
		else {$cols++;}
		
	} else {
	echo "</tr>\n";	
	$i++;
	
	}	
} 

function all_news_cat_footer($all_news) {
if ($all_news>0) echo '</table>';
closetable();	
}	


// Ausgabe einer einzelnen Kategorie
// WITH CAT ID
function news_cat_header($cdata) {
	global $locale,$aidlink,$tpl;
	
	echo "<div class='pagination'><a href='".$tpl->url(SEO_NEWS_CAT,FUSION_SELF)."'><strong>".$locale['newscats400']."</strong></a> &gt; ".$cdata['news_cat_name']."</div>";
	opentable($locale['007'].": ".$cdata['news_cat_name']." (".$cdata['news'].")");
	echo $cdata['news_cat_image']!='' && file_exists(IMAGES_NC.$cdata['news_cat_image']) ? '<img src="'.IMAGES_NC.$cdata['news_cat_image'].'" style="vertical-align:middle;margin-right:2px;padding-left:1px;margin-bottom:3px; border:0px;" alt="'.$cdata['news_cat_name'].'" title="'.$cdata['news_cat_name'].'" align="left">':'';
	if ($cdata['news_cat_description']!='') echo '<div class="small">'.$cdata['news_cat_description'].'<br /><br /></div>';
	echo '<table cellpadding="0" cellspacing="1" width="100%" class="tbl-border">
<tr>
<th class="capmain" width="70%">'.$locale['046'].'</th>
<th class="capmain" width="10%">'.$locale['199'].'</th>
<th class="capmain" width="10%">'.$locale['044'].'</th>
<th class="capmain" width="10%">'.$locale['043'].'</th>
</tr>';
}

function news_cat_news($data) {
	global $settings,$locale,$i,$tpl;
	if ($i%2==0) $tbl_class="tbl1"; else $tbl_class="tbl2";
	echo '<tr>
<td class="'.$tbl_class.'"><a href="'.$tpl->url(SEO_NEWS,'news.php',"readmore=",$data['news_id'],null,null,$data['news_subject']).'"><strong>'.$data['news_subject'].'</strong></a>'.($data['news_datestamp']+604800 > time()+($settings['timeoffset']*3600) ? '&nbsp;<span class="small">('.$locale['articles402'].')</span>' : '').($data['news_news']!='' ? '<br />'.trimlink(strip_tags(stripslashes($data['news_news'])),200) : '').'</td>
<td class="'.$tbl_class.'" align="center">'.showdate('shortdate',$data['news_datestamp']).'</td>
<td class="'.$tbl_class.'" align="center">'.$data['news_reads'].'</td>
<td class="'.$tbl_class.'" align="center">'.$data['news_comments'].'</td>
</tr>';
}

function news_cat_footer($cdata,$rows) {
	global $locale,$rowstart,$news_per_page,$tpl;
	
echo "</table>";
	if ($rows > $news_per_page) echo '<div align="center" style="margin-top:5px;">'.makePageNav($rowstart,$news_per_page,$rows,3,BASEDIR.FUSION_SELF.'?cat_id='.$cdata['news_cat_id'].'&amp;').'</div>';
closetable();
}


// Ausgabe der News 1spaltig und bei readmore
function show_news($tndata) {
	global $locale,$tpl,$rows,$rowstart,$numrows,$aidlink,$readmore;
	global $r,$ncount;
		if ($tndata['news_cat_image'] && file_exists(IMAGES_NC.$tndata['news_cat_image'])) {
			$get_img = getimagesize(IMAGES_NC.$tndata['news_cat_image']);
			$img_width = $get_img[0];
			$img_height = $get_img[1];
			if ($img_width>200) {
				$img_width=200;
				$newteiler = round($get_img[0]/200);
				$img_height = round($get_img[1]/$newteiler);
			}
			$img_style = 'width:'.$img_width.'px;height:'.$img_height.'px;border:1px solid #ccc;margin-right:5px;margin-left:1px;';
				$news_cat_image = '<a href="'.$tpl->url(SEO_NEWS_CAT,'news_cats.php','cat_id=',$tndata['news_cat'],null,null,$tndata['news_cat_name']).'"><img  align="left" style="'.$img_style.'" src="'.IMAGES_NC.$tndata['news_cat_image'].'" alt="'.$tndata['news_cat_name'].'" title="'.$tndata['news_cat_name'].'"></a>';
			
			} else {
				$news_cat_image = "";
			}
			$news_subject = "<a name='news_".$tndata['news_id']."' id='news_".$tndata['news_id']."'></a>".stripslashes($tndata['news_subject']);
			if (!isset($_GET['readmore'])) {
			$news_news = stripslashes($tndata['news_news']);
			}
			else {
			$news_news = stripslashes($tndata['news_extended'] ? $tndata['news_extended'] : $tndata['news_news']);	
			}
			$news_news = $tndata['news_breaks']=="y" ? nl2br($news_news): $news_news;
			$news_id = $tndata['news_id'];
			$news_user = $tndata['news_name'];
		
			if (iGUEST) $news_user_name = $tndata['user_name'];
			if (iMEMBER) $news_user_name = '<a href="'.$tpl->url(SEO_UPROFILE,"profile.php","lookup=",$news_user,null,null,$tndata['user_name']).'">'.$tndata['user_name'].'</a>';
			$news_date = $tndata['news_datestamp']; 
			$news_ext = $tndata['news_extended']!='' ? "y" : "n";
			$news_read 	= $tndata['news_reads'];
			$news_comments	= $tndata['news_comments'];
			$news_allow_comments = $tndata['news_allow_comments'];
if (isset($_GET['readmore'])) {
	echo "<div class='pagination'><a href='".$tpl->url(SEO_NEWS_CAT,'news_cats.php')."'><strong>".$locale['newscats400']."</strong></a>".($tndata['news_cat']>0 ? "&gt; <a href='".$tpl->url(SEO_NEWS_CAT,'news_cats.php','cat_id=',$tndata['news_cat'],null,null,$tndata['news_cat_name'])."'>".$tndata['news_cat_name']."</a>":"")." &gt; ".$tndata['news_subject']."</div>";
}	

opentable($news_subject);
	echo '<table width="100%"><tr><td class="main-body">'.(NEWS_STYLE && !isset($_GET['readmore']) && !($numrows<=2 || $r==0 && $ncount==1)  ? '<div class="small">' : '').(SHOW_CAT_IMAGE ? $news_cat_image:'').$news_news.(NEWS_STYLE && !isset($_GET['readmore']) && !($numrows<=2 || $r==0 && $ncount==1) ? '</div>' : '').'</td></tr>
			<tr><td class="footer" nowrap="nowrap">
			<table border="0" cellspacing="0" cellpadding="0" width="100%"><tr><td>';
			echo '<img src="'.THEME.'images/bullet.gif" alt="">'.(!isset($_GET['readmore']) && $news_ext == "y" ?  ' <a href="'.$tpl->url(SEO_NEWS,'news.php','readmore=',$news_id,null,null,$tndata['news_subject']).'">'.$locale['042'].'</a> &middot; ':' ');
			
			if ((bool)$news_allow_comments) {
			echo ' <a href="'.$tpl->url(SEO_NEWS,'news.php','readmore=',$news_id,null,null,$tndata['news_subject']).'">'.$news_comments.$locale['043'].'</a> &middot; ';
			}
			echo showdate("shortdate", $news_date);
			echo '</td><td align="right"><a href="'.BASEDIR.'print.php?type=N&amp;item_id='.$news_id.'"><img src="'.THEME.'images/printer.gif" alt="'.$locale['045'].'" style="vertical-align:middle;border:0px;"></a>';
			if (iADMIN && checkrights('N')) echo '&nbsp;&nbsp;<a href="'.ADMIN.'news.php'.$aidlink.'&amp;news_id='.$news_id.'&amp;action=edit"><img src="'.IMAGES.'edit.gif" alt="'.$locale['048'].'" title="'.$locale['048'].'" style="vertical-align:middle;border:0px;"></a>';
echo '</td></tr></table></td></tr></table>';
closetable();

if (isset($_GET['readmore'])) {
			if ($tndata['news_allow_comments']) showcomments("N","news","news_id",$readmore,FUSION_SELF."?readmore=$readmore");
			if ($tndata['news_allow_ratings']) showratings("N",$readmore,FUSION_SELF."?readmore=$readmore");
			}

tablebreak();
}

?>