<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+----------------------------------------------------------*/
if (!defined("IN_FUSION")) die();
// Wieviele Weblinks listen? / How many web links list?
define("ITEMS_PER_PAGE", 15);
// Weblinkliste  / Web links list
define("WEBLINK_LIST",true);
// 2 spaltig / 2 cols
define("CAT_COLS",true);  
// true = don't display left panels
define("LEFT_OFF",false); 	
// true = don't display right panels
define("RIGHT_OFF",false); 	

// WITHOUT ANY IDS
function weblinks_header($mdata,$ndata,$allnum) {
global $locale,$tpl;

opentable($locale['web400']);
if ($allnum>0) {
echo '<table border="0" cellpadding="0" cellspacing="1" width="100%" class="tbl-border">
<tr><td class="tbl2" valign="middle"><img src="'.THEME.'images/wl.gif" border="0" alt="" /></td>
<td width="100%" align="left" class="tbl1">
<span class="small">'.$locale['web413'].' <strong>'.$allnum.'</strong></span><br />
<span class="small">'.$locale['web414'].' '.($ndata == '' ? '' : '<a target="_blank" href="'.$tpl->url(SEO_LINK_CLICK,'weblinks.php',"cat_id=",$ndata['weblink_cat'],'weblink_id=',$ndata['weblink_id'],$ndata['weblink_name']).'" title="'.$ndata['weblink_name'].'"><strong>'.trimlink($ndata['weblink_name'], 100).'</strong></a>').' ['.($ndata == '' ? '0' : $ndata['weblink_count']).']</span><br />
<span class="small">'.$locale['web415'].' '.($mdata == '' ? '' : '<a target="_blank" href="'.$tpl->url(SEO_LINK_CLICK,'weblinks.php',"cat_id=",$mdata['weblink_cat'],'weblink_id=',$mdata['weblink_id'],$mdata['weblink_name']).'" title="'.$mdata['weblink_name'].'"><strong>'.trimlink($mdata['weblink_name'], 100).'</strong></a>').' ['.($mdata == '' ? '0' : $mdata['weblink_count']).']</span><br />
</td></tr></table>
<div style="height:2px;width:100%" /></div>
<table cellpadding="0" cellspacing="1" width="100%" class="tbl-border">';
} else {
	echo '<center><br />'.$locale['web430'].'<br /><br /></center>';
}
}

// Listen der Weblinks / Listing of the web links 
function weblinks_weblink($dndata) {
		global $tpl;
	return '<img src="'.THEME.'images/bullet.gif" alt="'.$dndata['weblink_name'].'" title="'.$dndata['weblink_name'].'" /> <a target="_blank" href="'.$tpl->url(SEO_LINK_CLICK,'weblinks.php',"cat_id=",$dndata['weblink_cat'],'weblink_id=',$dndata['weblink_id'],$dndata['weblink_name']).'" '.($dndata['weblink_description']!='' ? wztool(wztooltip(nl2br($dndata['weblink_description']),250,''), wztooltip($dndata['weblink_name'],40),300).')" onmouseout="UnTip()"':'').'>'.$dndata['weblink_name'].'</a> ('.showdate('shortdate', $dndata['weblink_datestamp']).')<br />';
} 

// Listen der Weblinkkategorien / Listing of the weblinks categories
function weblinks_content($ddata,$tplarr) {
		global $settings,$locale,$items_per_page,$i,$cols,$rows2,$tpl;
		$tbl_class= $i%2==0 ? "tbl1" : "tbl2";	
		
		$colspan="";
		
	if ((bool)CAT_COLS) {
		$catrows = ($rows2<2) ? $rows2 : 2;
		if ($cols==$catrows) {$cols=0;}
		if (is_float($rows2/$catrows)) {$colspan = ' colspan="'.$catrows.'"';$cols=1;$tbl_class='tbl2';$width='100%';}
				
		if ($cols==0) {echo '<tr class="'.$tbl_class.'">';}
		$width=(100/$catrows)."%";	
	} else {
	echo '<tr>';
	$width="40%";
	}
	
	echo '<td class="'.$tbl_class.'" valign="top" width="'.$width.'"'.$colspan.'><a href="'.$tpl->url(SEO_LINK_CAT,'weblinks.php',"cat_id=",$ddata['weblink_cat_id'],null,null,$ddata['weblink_cat_name']).'"><strong>'.$ddata['weblink_cat_name'].'</strong></a> <span class="small2">('.$ddata['weblinks'].')</span>';
	if ($ddata['weblink_cat_description']!='' && (!(bool)CAT_COLS || (bool)CAT_COLS && !(bool)WEBLINKS_LIST)) echo '<span class="small"><br />'.$ddata['weblink_cat_description'].'</span>';
	if ((bool)WEBLINK_LIST && !(bool)CAT_COLS) {
    echo '</td><td class="'.$tbl_class.'" valign="top">'.$tplarr['WEBLINKS'];
	if ($ddata['weblinks']>$items_per_page) {
		echo '<br /><a href="'.$tpl->url(SEO_LINK_CAT,'weblinks.php',"cat_id=",$ddata['weblink_cat_id'],null,null,$ddata['weblink_cat_name']).'"><small><em>'.strtolower($locale['newscats405']).'...</em></small></a></td>'."\n";	
		}
	} 
	
	if ((bool)WEBLINK_LIST && (bool)CAT_COLS) {
    echo '<div width="100%"><hr>'.$tplarr['WEBLINKS'];
	if ($ddata['weblinks']>$items_per_page) {
		echo '<br /><a href="'.$tpl->url(SEO_LINK_CAT,'weblinks.php',"cat_id=",$ddata['weblink_cat_id'],null,null,$ddata['weblink_cat_name'],null,"_").'"><small><em>'.strtolower($locale['newscats405']).'...</em></small></a>';	
		}
	echo "</div><br /></td>\n";	
	}
	
	if ((bool)CAT_COLS) {
		if (is_float($rows2/$catrows)) {$rows2--;$i++;}
		if ($cols==1) {echo '</tr><tr><td colspan="2"></td></tr>';$cols=0;$i++;}
		else {$cols++;}
		
	} else {
	echo "</tr>\n";	
	$i++;
	}	
} 

function weblinks_footer() {
		global $rows;
if ($rows>0) echo '</table>';		
closetable();	
}
// END


##############   weblink category  Start #################

// header function
function weblink_cat_header($cdata) {
	global $locale,$aidlink,$tpl;
	echo "<div class='pagination'><a href='".$tpl->url(SEO_LINKS,'weblinks.php')."'><strong>".$locale['web400']."</strong></a> &gt; ".$cdata['weblink_cat_name']."</div>";
	opentable($locale['007'].": ".$cdata['weblink_cat_name']." (".$cdata['weblinks'].")");
	if ($cdata['weblink_cat_description']!='') echo '<div class="small">'.$cdata['weblink_cat_description'].'<br /><br /></div>';
	echo '<table cellpadding="0" cellspacing="1" width="100%" class="tbl-border">
<tr>
<th class="capmain" width="70%">'.$locale['web400'].'</th>
<th class="capmain" width="10%">'.$locale['199'].'</th>
<th class="capmain" width="10%">'.$locale['web412'].'</th>
</tr>';
}

// Listing the web links
function weblink_cat_weblinks($data) {
	global $locale,$userdata,$i,$tpl,$settings;
	if ($i%2==0) $tbl_class="tbl1"; else $tbl_class="tbl2";
	echo '<tr>
<td class="'.$tbl_class.'"><a target="_blank" href="'.$tpl->url(SEO_LINK_CLICK,'weblinks.php',"cat_id=",$data['weblink_cat'],'weblink_id=',$data['weblink_id'],$data['weblink_name']).'"><b>'.$data['weblink_name'].'</b></a>'.($data['weblink_datestamp']+604800 > time()+($settings['timeoffset']*3600) ? '&nbsp;<span class="small">'.$locale['articles402'].'</span>' : '').($data['weblink_description']!='' ? '<br />'.trimlink(strip_tags(stripslashes($data['weblink_description'])),200) : '').'</td>
<td class="'.$tbl_class.'" align="center">'.showdate('shortdate',$data['weblink_datestamp']).'</td>
<td class="'.$tbl_class.'" align="center">'.$data['weblink_count'].'</td>
</tr>';
}

function weblink_cat_footer($cdata,$rows) {
	global $locale,$rowstart,$items_per_page,$tpl;
	
echo "</table>";
	if ($rows > $items_per_page) echo '<div align="center" style="margin-top:5px;">'.makePageNav($rowstart,$items_per_page,$rows,3,$tpl->url(SEO_LINK_CAT,'weblinks.php',"cat_id=",$cdata['weblink_cat_id'],null,null,$cdata['weblink_cat_name']).'&amp;').'</div>';
closetable();
}
// END

?>