<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.0
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+----------------------------------------------------------*/
if (!defined("IN_FUSION")) exit;
// Wieviele Downloads listen? / How many downloads list?
define("ITEMS_PER_PAGE", 15);
// Downloadliste  / Downloads list
define("DOWNLOADS_LIST",true);
// 2 spaltig / 2 cols
define("CAT_COLS",false);  
// true = don't display left panels
define("LEFT_OFF",false); 	
// true = don't display right panels
define("RIGHT_OFF",false); 	

// WITHOUT ANY IDS
function downloads_header($mdata,$ndata,$allnum) {
global $locale,$tpl;

opentable($locale['down400']);
if ($allnum>0) {
echo '<table border="0" cellpadding="0" cellspacing="1" width="100%" class="tbl-border">
<tr><td class="tbl2" valign="middle"><img src="'.THEME.'images/dl.gif" border="0" alt="" /></td>
<td width="100%" align="left" class="tbl1">
<span class="small">'.$locale['down432'].' <strong>'.$allnum.'</strong></span><br />
<span class="small">'.$locale['down433'].' '.($ndata == '' ? '' : '<a href="'.$tpl->url(SEO_DOWNLOAD,'downloads.php',"cat_id=",$ndata['download_cat'],'id=',$ndata['download_id'],$ndata['download_title']).'" title="'.$ndata['download_title'].'"><strong>'.trimlink($ndata['download_title'], 100).'</strong></a>').' ['.($ndata == '' ? '0' : $ndata['download_count']).']</span><br />
<span class="small">'.$locale['down434'].' '.($mdata == '' ? '' : '<a href="'.$tpl->url(SEO_DOWNLOAD,'downloads.php',"cat_id=",$mdata['download_cat'],'id=',$mdata['download_id'],$mdata['download_title']).'" title="'.$mdata['download_title'].'"><strong>'.trimlink($mdata['download_title'], 100).'</strong></a>').' ['.($mdata == '' ? '0' : $mdata['download_count']).']</span><br />
</td></tr></table>
<div style="height:2px;width:100%" /></div>
<table cellpadding="0" cellspacing="1" width="100%" class="tbl-border">';
} else {
	echo '<center><br />'.$locale['down430'].'<br /><br /></center>';
}
}

// Listen der Downloads / Listing of the downloads 
function downloads_download($dndata) {
		global $tpl;
	return '<img src="'.THEME.'images/bullet.gif" alt="'.$dndata['download_title'].'" title="'.$dndata['download_title'].'" /> <a href="'.$tpl->url(SEO_DOWNLOAD,'downloads.php',"cat_id=",$dndata['download_cat_id'],'id=',$dndata['download_id'],$dndata['download_title']).'" '.wztool(wztooltip(nl2br($dndata['download_description']),250), wztooltip($dndata['download_title'],40),300).')" onmouseout="UnTip()">'.$dndata['download_title'].'</a> ('.showdate('shortdate', $dndata['download_datestamp']).')<br />';
} 

// Listen der Downloadkategorien / Listing of the downloads categories
function downloads_content($ddata,$tplarr) {
		global $settings,$locale,$items_per_page,$i,$cols,$rows2,$tpl;
		$tbl_class= $i%2==0 ? "tbl1" : "tbl2";	
		
		$colspan="";
		
	if ((bool)CAT_COLS) {
		$catrows = ($rows2<2) ? $rows2 : 2;
		if ($cols==$catrows) {$cols=0;}
		if (is_float($rows2/$catrows)) {$colspan = ' colspan="'.$catrows.'"';$cols=1;$tbl_class='tbl2';$width='100%';}
				
		if ($cols==0) {echo '<tr class="'.$tbl_class.'">';}
		$width=(100/$catrows)."%";	
	} else {
	echo '<tr>';
	$width="40%";
	}
	
	echo '<td class="'.$tbl_class.'" valign="top" width="'.$width.'"'.$colspan.'><a href="'.$tpl->url(SEO_DOWNLOAD_CAT,'downloads.php',"cat_id=",$ddata['download_cat_id'],null,null,$ddata['download_cat_name']).'"><strong>'.$ddata['download_cat_name'].'</strong></a> <span class="small2">('.$ddata['downloads'].')</span>';
	if ($ddata['download_cat_description']!='' && (!(bool)CAT_COLS || (bool)CAT_COLS && !(bool)DOWNLOADS_LIST)) echo '<span class="small"><br />'.$ddata['download_cat_description'].'</span>';
	if ((bool)DOWNLOADS_LIST && !(bool)CAT_COLS) {
    echo '</td><td class="'.$tbl_class.'" valign="top">'.$tplarr['DOWNLOADS'];
	if ($ddata['downloads']>$items_per_page) {
		echo '<br /><a href="'.$tpl->url(SEO_DOWNLOAD_CAT,'downloads.php',"cat_id=",$ddata['download_cat_id'],null,null,$ddata['download_cat_name']).'"><small><em>'.strtolower($locale['newscats405']).'...</em></small></a></td>'."\n";	
		}
	} 
	
	if ((bool)DOWNLOADS_LIST && (bool)CAT_COLS) {
    echo '<div width="100%"><hr>'.$tplarr['DOWNLOADS'];
	if ($ddata['downloads']>$items_per_page) {
		echo '<br /><a href="'.$tpl->url(SEO_DOWNLOAD_CAT,FUSION_SELF,"cat_id=",$ddata['download_cat_id'],null,null,$ddata['download_cat_name'],null,"_").'"><small><em>'.strtolower($locale['newscats405']).'...</em></small></a>';	
		}
	echo "</div><br /></td>\n";	
	}
	
	if ((bool)CAT_COLS) {
		if (is_float($rows2/$catrows)) {$rows2--;$i++;}
		if ($cols==1) {echo '</tr><tr><td colspan="2"></td></tr>';$cols=0;$i++;}
		else {$cols++;}
		
	} else {
	echo "</tr>\n";	
	$i++;
	}	
} 

function downloads_footer() {
		global $rows;
if ($rows>0) echo '</table>';		
closetable();	
}
// END


##############   Download category  Start #################

// header function
function download_cat_header($cdata) {
	global $locale,$aidlink,$tpl;
	echo "<div class='pagination'><a href='".$tpl->url(SEO_DOWNLOAD,'downloads.php')."'><strong>".$locale['down400']."</strong></a> &gt; ".$cdata['download_cat_name']."</div>";
	opentable($locale['007'].": ".$cdata['download_cat_name']." (".$cdata['downloads'].")");
	echo $cdata['download_cat_image']!='' && file_exists(IMAGES_DC.$cdata['download_cat_image']) ? '<img src="'.IMAGES_DC.$cdata['download_cat_image'].'" style="vertical-align:middle;margin-right:2px;padding-left:1px;margin-bottom:3px; border:0px;" alt="'.$cdata['download_cat_name'].'" title="'.$cdata['download_cat_name'].'" align="left">':'';
	if ($cdata['download_cat_description']!='') echo '<div class="small">'.$cdata['download_cat_description'].'<br /><br /></div>';
	echo '<table cellpadding="0" cellspacing="1" width="100%" class="tbl-border">
<tr>
<th class="capmain" width="70%">'.$locale['down400'].'</th>
<th class="capmain" width="10%">'.$locale['199'].'</th>
<th class="capmain" width="10%">'.$locale['down435'].'</th>
</tr>';
}

// Listing the downloads
function download_cat_downloads($data) {
	global $locale,$userdata,$i,$tpl,$settings;
	if ($i%2==0) $tbl_class="tbl1"; else $tbl_class="tbl2";
	echo '<tr>
<td class="'.$tbl_class.'"><a href="'.$tpl->url(SEO_DOWNLOAD,'downloads.php',"cat_id=",$data['download_cat'],'id=',$data['download_id'],$data['download_title']).'"><b>'.$data['download_title'].'</b></a>'.($data['download_datestamp']+604800 > time()+($settings['timeoffset']*3600) ? '&nbsp;<span class="small">('.$locale['articles402'].')</span>' : '').($data['download_description']!='' ? '<br />'.trimlink(strip_tags(stripslashes($data['download_description'])),200) : '').'</td>
<td class="'.$tbl_class.'" align="center">'.showdate('shortdate',$data['download_datestamp']).'</td>
<td class="'.$tbl_class.'" align="center">'.$data['download_count'].'</td>
</tr>';
}

function download_cat_footer($cdata,$rows) {
	global $locale,$rowstart,$items_per_page,$tpl;
	
echo "</table>";
	if ($rows > $items_per_page) echo '<div align="center" style="margin-top:5px;">'.makePageNav($rowstart,$items_per_page,$rows,3,$tpl->url(SEO_DOWNLOAD_CAT,'downloads.php',"cat_id=",$cdata['download_cat_id'],null,null,$cdata['download_cat_name']).'&amp;').'</div>';
closetable();
}
// END

// Download details
function show_details($dldata) {
	global $settings,$locale,$tpl,$PHP_SELF,$cat_id,$aidlink;
	echo "<div class='pagination'><a href='".$tpl->url(SEO_DOWNLOAD,'downloads.php')."'><strong>".$locale['down400']."</strong></a> &gt; <a href='".$tpl->url(SEO_DOWNLOAD_CAT,'downloads.php','cat_id=',$dldata['download_cat'],null,null,$dldata['download_cat_name'])."'>".$dldata['download_cat_name']."</a> &gt; ".$dldata['download_title']."</div>";
	
	if ($dldata['download_datestamp']+604800 > time()+($settings['timeoffset']*3600)) {
						$new = " <span class='small'>".$locale['down410']."</span>";
					} else {
						$new = "";
					}
					$width=200;
					
					if ($dldata['download_screen']!='') {
					$img_dims=@getimagesize(BASEDIR.'downloads/screens/'.$dldata['download_screen']);
					if ($img_dims[0]>200) $width = 200; else $width=$img_dims[0];
					$screen = isset($dldata['download_screen']) && $dldata['download_screen']!='' ? ($img_dims[0]>200 || $dims[1]>200 ? '<a href="javascript:openWin(\''.$tpl->url(SEO_DOWNLOAD_SCREEN,'downloads.php','cat_id=',$dldata['download_cat'],'img_id=',$dldata['download_id'],$dldata['download_title']).'\','.$img_dims[0].','.$img_dims[1].')" '.wztool(wztooltip('<img src="'.BASEDIR.'downloads/screens/'.$dldata['download_screen'].'" width="'.$width.'">'),'',$width).',ABOVE,true);" onmouseout="UnTip()">'.$locale['down436'].'</a>' : '<span '.wztool(wztooltip('<img src="'.BASEDIR.'downloads/screens/'.$dldata['download_screen'].'" width="'.$width.'">'),'',$width).',ABOVE,true);" onmouseout="UnTip();" style="cursor:pointer;">'.$locale['down436'].'</span>') : 'n/a';
					} else {
					$screen='';	
					}
					echo "<a name='dl".$dldata['download_id']."'></a><table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>\n";
					echo "<tr>\n<td colspan='4' class='capmain'><b>".$dldata['download_title']."</b> $new</td>\n</tr>\n";
					
					if ($dldata['download_description'] != "") echo "<tr>\n<td colspan='4' class='tbl1'>".nl2br(stripslashes($dldata['download_description']))."</td>\n</tr>\n";
						echo "<tr><td class='tbl2'><b>".$locale['down413']."</b></td><td class='tbl1'>".($dldata['download_version']=='' ? 'n/a' : $dldata['download_version'])."</td><td class='tbl2'><b>".$locale['down412']."</b></td><td class='tbl1'>".($dldata['download_os']=='' ? 'n/a' : $dldata['download_os'])."</td></tr>
					<tr><td class='tbl2'><b>".$locale['down411']."</b></td><td class='tbl1'>".($dldata['download_license']=='' ? 'n/a' : $dldata['download_license'])."</td><td class='tbl2'><b>".$locale['down414']."</b> </td><td class='tbl1'>".showdate("%d.%m.%y", $dldata['download_datestamp'])."</td></tr>					
					<tr><td class='tbl2'><b>".$locale['down436'].":</b></td><td class='tbl1'>".$screen."</td><td class='tbl2'><b>".$locale['down415']."</b></td><td class='tbl1'>".$dldata['download_count']."</td></tr>
					<tr><td class='tbl2'><b>".$locale['down416'].":</b></td><td class='tbl1'><a href='".$tpl->url(SEO_DOWNLOAD_FILE,'downloads.php','cat_id=',$dldata['download_cat'],'download_id=',$dldata['download_id'],$dldata['download_title'])."' target='_blank'>".$locale['down416']."</a></td>
					<td class='tbl2'><b>".$locale['photo456'].":</b></td><td class='tbl1'>".($dldata['download_filesize']=='' ? 'n/a' : parsebytesize($dldata['download_filesize']))."</td></tr>"; 
					echo "</table>\n";
showcomments("D","downloads","download_id",$dldata['download_id'],$tpl->url(SEO_DOWNLOAD,'downloads.php','cat_id=',$dldata['download_cat'],'id=',$dldata['download_id'],$dldata['download_title']));
showratings("D",$dldata['download_id'],$tpl->url(SEO_DOWNLOAD,'downloads.php','cat_id=',$dldata['download_cat'],'id=',$dldata['download_id'],$dldata['download_title']));
}

?>