<?php
/*---------------------------------------------------------+
| BS-Fusion - Content Management System
| Version 1.00.x
+----------------------------------------------------------+
| Copyright  2009 Manuel Kurz
| http://www.bs-fusion.org/
+----------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license (version 3). You can redistribute 
| it and/or modify it under the terms of this license which 
| you can read by viewing the included agpl-3.0.txt or 
| online at http://www.gnu.org/licenses/agpl-3.0.html. 
| Removal of this copyright header is strictly prohibited 
| without written permission from the original author(s).
+----------------------------------------------------------+
| Code based on PHP-Fusion
| http://www.php-fusion.co.uk/
+----------------------------------------------------------*/
if (!defined("IN_FUSION")) exit;
// Mod rewrite
if ((bool)MOD_REWRITE) {
$tpl->mod_rewrite=SEO_ON;  // false=deactivate; true=activate;
} 
if (eregi('/jscripts/',FUSION_REQUEST) || eregi('/infusions/',FUSION_REQUEST) || eregi('/administration/',FUSION_REQUEST)) {
$tpl->mod_rewrite=false;	
} 

//SEO 
// Mssen in der .htaccess im Rootverzeichnis gegebenfalls angepasst werden
// profile, group & viewpage 
define("SEO_UPROFILE","profil");
define("SEO_UGROUP","gruppe");
define("SEO_PAGE","seite");

//articles
define("SEO_ARTICLE","artikel");
define("SEO_ARTICLE_CAT","artikel,kategorie");


//news
define("SEO_NEWS","news");
define("SEO_NEWS_CAT","news,kategorie");

//faq
define("SEO_FAQ","faq");
define("SEO_FAQ_CAT","faq,kategorie");

// links
define("SEO_LINKS","weblinks");
define("SEO_LINK_CAT","weblinks,kategorie");
define("SEO_LINK_CLICK","weblinks,click");

// downloads
define("SEO_DOWNLOAD","download");
define("SEO_DOWNLOAD_CAT","download,kategorie");
define("SEO_DOWNLOAD_SCREEN","download,screen");
define("SEO_DOWNLOAD_FILE","download,file");

// forum
define("SEO_FCAT","forum/kategorie");
define("SEO_FORUM","forum");
define("SEO_THREAD","forum/thema");
define("SEO_POST","forum/beitrag");

// Ausgabe der Loginumleitung
function show_setuser() {
global $locale,$settings,$ref,$text;
echo '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>'.$settings['sitename'].'</title>
<meta http-equiv="Content-Type" content="text/html; charset='.$locale['charset'].'">
<meta http-equiv="refresh" content="3; url='.$ref.'">
<meta name="robots" content="NOINDEX,NOFOLLOW,NOARCHIVE">
<link rel="stylesheet" href="'.THEME.'styles.css" type="text/css">

</head>
<body>

<table width="100%" style="height:100%">
<tr>
<td>

<table align="center" cellpadding="0" cellspacing="1" width="80%">
<tr>
<td class="tbl1">
<center><br>
<img src="'.BASEDIR.$settings['sitebanner'].'" alt="'.$settings['sitename'].'"><br><br>'."\n";
echo $text;
echo str_replace("index.php",str_replace("&amp;","&",$ref),$locale['197']).'<br /><br />
</center>
</td>
</tr>
</table>

</td>
</tr>
</table>

</body>
</html>'."\n";
}

// Ausgabe der Wartung
function show_maintenance() {
global $locale,$settings;
echo '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>'.$settings['sitename'].'</title>
<meta http-equiv="Content-Type" content="text/html; charset='.$locale['charset'].'">
<meta name="robots" content="NOINDEX,NOFOLLOW,NOARCHIVE">
<link rel="stylesheet" href="'.THEME.'css/styles.css" type="text/css">
</head>
<body class="main-body">

<table width="100%" height="100%">
<tr>
<td>

<table align="center" cellpadding="0" cellspacing="1" width="80%" class="tbl-border">
<tr>
<td class="tbl1">
<center><br>
<img src="'.BASEDIR.$settings['sitebanner'].'" alt="'.$settings['sitename'].'"><br><br>
'.stripslashes(nl2br($settings['maintenance_message'])).'<br><br>'.showcopyright("","text").'<br><br>
</center>
</td>
</tr>
</table>'."\n";

if (!iMEMBER) {
	echo '<div align="center"><br>
<form name="loginform" method="post" action="'.$PHP_SELF.'">
'.$locale['061'].': <input type="text" name="user_name" class="textbox" style="width:100px">
'.$locale['062'].': <input type="password" name="user_pass" class="textbox" style="width:100px">
<input type="checkbox" name="remember_me" value="y" title="'.$locale['063'].'">
<input type="submit" name="login" value="'.$locale['064'].'" class="button">
</form>
</div>'."\n";
}

echo '</td>
</tr>
</table>'."\n";

echo '</body>
</html>';
}
?>