<?php
/*=============================================================*\
|| ########################################################### ||
|| #        BS-Fusion - Content Management System            # ||
|| #                    Version 1.x                          # ||   
|| # ------------------------------------------------------- # ||
|| # Copyright 2009-2010 BS-Fusion All rights reserved.     # ||
|| # Author: Manuel Kurz                                     # ||
|| # ------------------------------------------------------- # ||
|| # This program is released as open source software under  # ||
|| # the Affero GPL license (version 3).                     # ||
|| # License: http://www.gnu.org/licenses/agpl-3.0.html.     # || 
|| # Removal of this copyright header is strictly prohibited # ||
|| # without written permission from the original author(s). # ||
|| # -------- BS-FUSION IS AN OPEN SOURCE SOFTWARE --------- # ||
|| #    http://www.bs-fusion.de | http://www.bsfusion.de     # ||
|| ########################################################### || 
\*=============================================================*/ 
if (!defined("IN_FUSION")) exit;
// Wieviele News listen? / How many News list?
// true = don't display left panels
define("LEFT_OFF",false); 	
// true = don't display right panels
define("RIGHT_OFF",true);

function listMembers() {
global $get_pm,$locale,$settings,$userdata,$rowstart;
	if (iMEMBER) 
	{
opentable($locale['mop100']);		
	echo "<form action=".BASEDIR.FUSION_SELF.(isset($get_pm) ? '?pm=1':'')." method='get'><table align='right'><tr><td><b>".$locale['mop117']."</b> <input type='text' class='textbox' name='user'>&nbsp;<input type='submit' value='".$locale['mop118']."' class='button'></td></tr></table></form><br clear='all'>";

	if (isset($_GET['user'])) {
	$sortby = trim(htmlspecialchars($_GET['user']));
	$sortbylink = "user=".$sortby;	
	} else {
	$sortby = isset($_GET['sortby']) && strlen($_GET['sortby']) <= 50 ? htmlspecialchars(substr($_GET['sortby'],0,50)) : "all";	
	$sortbylink = "sortby=".$sortby.(isset($get_pm) ? '&amp;pm=1':'');	
	}
	$orderby = ($sortby=="all" ? "user_level>0" : "user_level>'0' AND user_name LIKE '".($_GET['user'] ? "%" : "").stripinput($sortby)."%'");
		if (isset($get_pm)) {
			$orderby.= ($sortby=="all" ? " AND ":" AND ")." user_nopm='0' AND user_status='0' AND user_id!='".(int)$userdata['user_id']."' AND user_level='101'";
		}
	$order = isset($_GET['order']) ? htmlspecialchars($_GET['order']) : "nameasc";
	switch($order) {
		case "visitsasc":
		$orders=$orderby." ORDER BY user_level DESC,user_lastvisit ASC,user_name,user_status DESC ";
		break;
		case "visitsdesc":
		$orders=$orderby." ORDER BY user_level DESC,user_lastvisit DESC,user_name,user_status DESC ";
		break;
		case "joinedasc":
		$orders=$orderby." ORDER BY user_level DESC,user_joined ASC,user_name,user_status DESC ";
		break;
		case "joineddesc":
		$orders=$orderby." ORDER BY user_level DESC,user_joined DESC,user_name,user_status DESC ";
		break;
		case "postsasc":
		$orders=$orderby." ORDER BY user_level DESC,user_posts ASC,user_name,user_status DESC";
		break;
		case "postsdesc":
		$orders=$orderby." ORDER BY user_posts DESC,user_level DESC,user_name,user_status DESC ";
		break;
		case "nameasc":
		$orders=$orderby." ORDER BY user_level DESC,user_name ASC,user_status DESC ";
		break;
		case "namedesc":
		$orders=$orderby." ORDER BY user_level DESC,user_name DESC,user_status DESC ";
		break;
		default:
		$orders=$orderby." ORDER BY user_level DESC,user_name,user_status DESC ";
		break;
	}
$rows = dbcount("(user_id)","users",$orderby);
$rowstart = isset($_GET['rowstart']) ? (int)$_GET['rowstart'] : 0;
if ($rows != 0)
{
	$result = dbquery("SELECT *,FLOOR((
CURRENT_DATE - REPLACE(REPLACE(user_birthdate, '0000-00-00', CURRENT_DATE), '-', '' ))/10000) AS user_older FROM ".DB_PREFIX."users WHERE ".$orders." LIMIT ".$rowstart.",20");
	$i = 1;


//-------------------Tabellenbezeichnung
	echo "<table align='center' cellpadding='4' cellspacing='1' width='100%' class='tbl-border'>
<tr>
<td align='left' width='1%' height='25' class='capmain'><a class='white' href='".FUSION_SELF."?".$sortbylink."&amp;order=".($order=="nameasc" ? "namedesc" : "nameasc")."&amp;rowstart=".$rowstart."'><b><u>".$locale['mop102']."</u></b></a></td>
<td align='center' width='1%' height='25' class='capmain'><b>".$locale['mop103']."</b></td>
<td align='center' width='5%' height='25' class='capmain'><b>".$locale['mop104']."</b></td>
<td align='center' width='1%' height='25' class='capmain'><a class='white' href='".FUSION_SELF."?".$sortbylink."&amp;order=".($order=="joinedasc" ? "joineddesc" : "joinedasc")."&amp;rowstart=".$rowstart."'><b><u>".$locale['mop106']."</u></b></a></td>
<td align='center' width='1%' height='25' class='capmain'><a class='white' href='".FUSION_SELF."?".$sortbylink."&amp;order=".($order=="visitsasc" ? "visitsdesc" : "visitsasc")."&amp;rowstart=".$rowstart."'><b><u>".$locale['mop107']."</u></b></a></td>
<td align='center' width='1%' height='25' class='capmain'><a class='white' href='".FUSION_SELF."?".$sortbylink."&amp;order=".($order=="postsasc" ? "postsdesc" : "postsasc")."&amp;rowstart=".$rowstart."'><b><u>".$locale['mop108']."</u></b></a></td>
<td align='center' width='1%' height='25' class='capmain'><b>".$locale['mop109']."</b></td>
<td align='center' width='1%' height='25' class='capmain'><b>".$locale['mop110']."</b></td>
<td align='center' width='1%' height='25' class='capmain'><b>".$locale['mop112']."</b></td>
</tr>\n";

//-------------------Benutzername
$current_level="";			
	$tbl="tbl2";$tbl2="tbl1";
	while ($data = dbarray($result)) 
	{	
		if ($current_level!=$data['user_level']) {$current_level=$data['user_level'];
		echo "<tr><td colspan='9' class='side-label' style='height:22px;'><b><i>".getuserlevel($current_level)."</i></b></td></tr>";		
		}
		if($tbl=="tbl1") {$tbl="tbl2";} else {$tbl="tbl1";}
		if($tbl2=="tbl2") {$tbl2="tbl1";} else {$tbl2="tbl2";}
		echo "<tr>\n<td width='5%' align='left' class='".$tbl."'><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a>".(($data['user_hide_birthdate']==0 && $data['user_older']>0) ? "&nbsp;(".$data['user_older'].")" : "")."</td>
		";
if ($data['user_status']==0) {
		echo "<td class='".$tbl."' align='center'> ";

//-------------------Online / Offline
		$lastseen = time() - $data['user_lastvisit'];
			if($lastseen < 60) 
			{
				$lastseen = "<img src='".IMAGES."user_online.png' style='vertical-align:middle;' title='".$locale['mop122']."' alt='online'>";
			} else {
			$lastseen = "<img src='".IMAGES."user_offline.png' style='vertical-align:middle;' title='".$locale['mop121']."' alt='offline'>";
			}
			echo "$lastseen";
		
//-------------------Mitglied (Benutzergruppen)
	echo "<td align='center' width='1%' style='white-space:nowrap' class='".$tbl."'>";
	if ($data['user_groups']) 
	{
		tablebreak();
		echo "<table align='center' cellpadding='0' cellspacing='0' width='100%' class='tbl-border'>";
		echo "<tr align='center'><td class='".$tbl2."'>";
		$user_groups = (strpos($data['user_groups'], ".") == 0 ? explode(".", substr($data['user_groups'], 1)) : explode(".", $data['user_groups']));
		for ($i = 0;$i < count($user_groups);$i++) 
		{
		echo " ".getgroupname($user_groups[$i])." ";
		if ($i != (count($user_groups)-1)) 
			{ 
			echo ",\n"; 
				} else {
				echo "\n"; 
				}
		}
		echo "</table>";
	}		
	   echo "<td align='center' width='3%' class='".$tbl."'>".showdate("%d.%m.%y", $data['user_joined'])."</td>
			 <td align='center' width='1%' class='".$tbl."'>".($data['user_lastvisit'] != 0 ? showdate("%d.%m.%y", $data['user_lastvisit']) : "&nbsp;")."</td>
			 <td align='center' width='1%' style='white-space:nowrap' class='".$tbl."'>".$data['user_posts']."</td>";

			 
//-------------------Email
	if (($data['user_hide_email'] != "1" || iADMIN) && userdata('user_id')!=$data['user_id']) 
	{
		echo "<td align='center' width='1%' class='".$tbl."'><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."&amp;send_msg=1'><IMG SRC='".IMAGES."mail.png' BORDER='0' title ='".$locale['mop115']."' alt='".$locale['mop115']."'></a></td>";
	} else {
		echo "<td align='center' width='1%' class='".$tbl."'>&nbsp;</td>\n";
	}
	
//-------------------PM
	if (($data['user_nopm'] != "1" || iADMIN) && userdata('user_id')!=$data['user_id'])
	{
		echo "<td align='center' width='1%' class='".$tbl."'><a href='".BASEDIR."messages.php?msg_send=".$data['user_id']."'><IMG SRC='".IMAGES."pm.png' title ='".$locale['mop114']."' alt='".$locale['mop114']."' style='border:0px;'></a></td>";
	} else {
		echo "<td align='center' width='1%' class='".$tbl."'>&nbsp;</td>\n";
	}
} elseif($data['user_status']==1) {
	echo"<td align='center' class='".$tbl."' colspan='7' style='color:#ff0000;'>".$locale['mop120']."</td>"; 
} else {
	echo"<td align='center' class='".$tbl."' colspan='7' style='color:#ff0000;'>".$locale['mop123']."</td>";
}	
//--------------------Status (Gesperrt / nicht Gesperrt)
    $editlink = iADMIN && checkrights("M") && $data['user_level']<=$userdata['user_level'] ? "<a href='".ADMIN."members.php?aid=".iAUTH."&step=edit&user_id=".$data['user_id']."'>"."%s"."</a>" : "%s";
    
	if (!(bool)$data['user_status']) 
    {
		echo "<td align='center' width='1%' class='".$tbl."'>".sprintf ($editlink,"<img src='".IMAGES."keine-sperre.png' style='vertical-align:middle;' title='".$locale['mop119']."' alt='".$locale['mop119']."' border='0'>")."</td>";
	} elseif ($data['user_status'] == "1") {	
	echo "<td align='center' width='1%' class='".$tbl."'>".sprintf($editlink,"<img src='".IMAGES."gesperrt.png' style='vertical-align:middle;' title='".$locale['mop120']."' alt='".$locale['mop120']."' border='0'>")."</td>";
	}	
	}
	echo "</table>\n"; 
}

//-------------------Sortierung Alphabetisch	
		$search = array(
"A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R",
"S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9");

		echo "<hr>\n<table align='center' cellpadding='0' cellspacing='1' class='tbl-border'>\n<tr>\n";
		echo "<td rowspan='2' class='tbl2'><a href='".FUSION_SELF."?sortby=all&amp;order=".$order.(isset($get_pm) ? '&amp;pm=1':'')."'>".$locale['mop113']."</a></td>";
	for ($i=0;$i < 36!="";$i++) 
	{
		echo "<td align='center' class='tbl1'><div class='small'><a href='".FUSION_SELF."?sortby=".$search[$i].(isset($get_pm) ? '&amp;pm=1':'')."&amp;order=".$order."'>".$search[$i]."</a></div></td>";
		echo ($i==17 ? "<td rowspan='2' class='tbl2'><a href='".FUSION_SELF."?sortby=all&amp;order=".$order.(isset($get_pm) ? '&amp;pm=1':'')."'>".$locale['mop113']."</a></td>\n</tr>\n<tr>\n" : "\n");
	}
		echo "</tr>\n</table>\n";
	
	if ($rows > 20) 
		echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,20,$rows,6,FUSION_SELF."?".$sortbylink."&amp;order=".$order."&amp;")."\n</div>\n";
	} else {
	
		echo "<center><br>\n".$locale['003']."<br><br>\n</center>\n";
	}
closetable();
}

?>